
package cz.upol.pja.lecture07.api;

import cz.upol.pja.lecture07.model.Quote;
import java.util.List;
import javax.ejb.Local;

@Local
public interface QuoteManagement {
    
    /** 
     * vytvori novy citat v db 
     */
    public void createQuote(String text, String author);
    
    /**
     * zrusi v db dany citat
     */
    public void deleteQuote(int id);
    
    /**
     * @return vraci seznam vsech citatu
     */
    public List<Quote> listAllQuotes();
    
    /**
     * @return vraci seznam vsech autoru
     */
    public List<String> listAuthors();
    
}
