
package cz.upol.pja.lecture07.web;

import cz.upol.pja.lecture07.api.Prettifier;
import cz.upol.pja.lecture07.api.Style;
import javax.ejb.EJB;
import javax.enterprise.context.RequestScoped;
import javax.inject.Inject;
import javax.inject.Named;

@Named("prettifyCtl")
@RequestScoped
public class PrettifyCtl {
    
//    @Inject @Style(desc = "basic")
//    @Inject @Style(desc = "decent")
//    @Inject @Style (desc = "fancy")
//    @EJB (lookup = "java:global/lecture07/lecture07-ejb/BasicPrettifierBean")
    @EJB
    private Prettifier prettifier;
    
    private String text;
    private String prettifiedText;

    public PrettifyCtl() {
    }
    
    public void render() {
        prettifiedText = prettifier.prettify(text);
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getPrettifiedText() {
        return prettifiedText;
    }

    public void setPrettifiedText(String prettifiedText) {
        this.prettifiedText = prettifiedText;
    }
     
}
